Package com.databricks.jdbc.dbclient.impl.common

## Class ImportedKeysDatabricksResultSetAdapter

- java.lang.Object
- - com.databricks.jdbc.dbclient.impl.common.ImportedKeysDatabricksResultSetAdapter

Direct Known Subclasses:
  `CrossReferenceKeysDatabricksResultSetAdapter`

    public class ImportedKeysDatabricksResultSetAdapter
    extends Object

Implementation of `IDatabricksResultSetAdapter` for processing the result set of the `DatabaseMetaData.getImportedKeys(java.lang.String, java.lang.String, java.lang.String)`.

### Field Summary

Fields
`static ResultColumn` `FOREIGN_KEY_NAME_COLUMN`
`static ResultColumn` `PARENT_CATALOG_NAME`
`static ResultColumn` `PARENT_NAMESPACE_NAME`
`static ResultColumn` `PARENT_TABLE_NAME`

### Constructor Summary

Constructors
`ImportedKeysDatabricksResultSetAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods Default Methods
`boolean` `includeRow​(ResultSet resultSet, List<ResultColumn> columns)`
`ResultColumn` `mapColumn​(ResultColumn column)`
`default Object` `transformValue​(ResultColumn column, Object value)` Optional method to transform a value after it's retrieved from the result set.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARENT_CATALOG_NAME

    public static final ResultColumn PARENT_CATALOG_NAME

#### PARENT_NAMESPACE_NAME

    public static final ResultColumn PARENT_NAMESPACE_NAME

#### PARENT_TABLE_NAME

    public static final ResultColumn PARENT_TABLE_NAME

#### FOREIGN_KEY_NAME_COLUMN

    public static final ResultColumn FOREIGN_KEY_NAME_COLUMN

### Constructor Detail

#### ImportedKeysDatabricksResultSetAdapter

    public ImportedKeysDatabricksResultSetAdapter()

### Method Detail

#### mapColumn

    public ResultColumn mapColumn​(ResultColumn column)

The SQL command SHOW FOREIGN KEYS returns column names that differ from those defined in the JDBC specification, so we need to map them accordingly.

#### includeRow

    public boolean includeRow​(ResultSet resultSet,
                              List<ResultColumn> columns)
                       throws SQLException

Throws:
  `SQLException`

#### transformValue

    public default Object transformValue​(ResultColumn column,
                                         Object value)

Optional method to transform a value after it's retrieved from the result set.

Parameters:
  `column` - The column definition
  `value` - The value retrieved from the result set
Returns:
  The potentially transformed value